エラー「お使いのサーバーのPHPではWordPressに必要なMySQL拡張を利用できないようです。」

ワードプレスのロゴ

PHP、MySQL、WordPressでエラー

さくらのVPSにPHPとMySQLを入れて、WordPressを使おうとしたらエラー。

こういう細かいのはEvernoteなどにメモっているのだけれど、この際ブログ上でメモしてみようかと。(もしかしたら誰かのヒントになるかもしれないですし。)

表示されたエラーは以下。

お使いのサーバーのPHPではWordPressに必要なMySQL拡張を利用できないようです。

エラーが出た環境

  • CentOS7
  • PHP 5.4.16
  • MySQL 14.14

解決方法

次の2ステップで解決しました。

  1. PHP拡張をインストール
  2. php.iniを編集


1については

yum -y install php-mysql

2については

extension=msql.so

の行を有効化(;を削除)

そんなにWordPressを使わないけれど、忘れたころにまたぶつかりそうな気もしています。


コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です